---
title: Delete webhook (REST)
slug: delete-webhook-rest
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/webhooks/{webhookId}",
  "name": "Delete webhook",
  "method": "DELETE",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{webhookId}",
        "type": "Number",
        "children": [],
        "description": "The webhook id you are trying to delete"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n    \"data\": {\n        \"id\": \"45\",\n        \"type\": \"webhook\",\n        \"attributes\": {\n            \"name\": \"Testing Deletions\",\n            \"enabled\": true,\n            \"request-url\": \"https://webh.botnester.com/hooked/catch/2999990teste3/123tesahmcnestah/\",\n            \"request-method\": \"post\",\n            \"created-at\": \"2023-04-12T20:03:49.247Z\",\n            \"updated-at\": \"2023-04-12T20:03:49.247Z\",\n            \"webhookable-type\": \"Event\",\n            \"webhookable-id\": 6100,\n            \"trigger-item\": \"Attendee\",\n            \"trigger-action\": \"updated\"\n        }\n    }\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "wTC_RN_i26pYLsJKSuAhC",
        "code": "curl --location -g --request DELETE 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/webhooks/{webhookId}' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "wTC_RN_i26pYLsJKSuAhC"
  },
  "description": "List an existing webhook in a specific event",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "delete-webhook",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

